Items API¶
67 confirmed endpoints — 41 respond with data, 26 require valid input.
Endpoints with Response Data¶
GET /api/v1/items¶
Poll items
✅ Live — responds with data
POST /api/v1/items¶
Create an Item entry
✅ Live — responds with data
Sample Response:
{
"id": "94120de9-8444-49d0-8dc4-aa23b5cc981a",
"folderParents": [],
"celebrityDetectionEnabled": true,
"labelDetectionEnabled": false,
"transcriptionEnabled": true,
"itemType": "video",
"metadata": {
"formId": "default",
"formData": {
"default_title": "News clip",
"default_createdOn": "2026-04-07T01:59:28.563Z",
"9e7110dd-0555-402e-a74e-9fb3a2070dd6": false,
"ecf7ae87-b2d7-4026-95a4-3cee88e8051f": false
}
},
"metadataVersion": 1,
"createdBy": "0101e008-d785-4c6c-b549-a1c9bcefa282",
"languageCode": "en-US"
}
Response Schema:
| Field | Type | Required |
|---|---|---|
celebrityDetectionEnabled |
boolean | Yes |
createdBy |
string | Yes |
folderParents |
array | Yes |
id |
string | Yes |
itemType |
string | Yes |
labelDetectionEnabled |
boolean | Yes |
languageCode |
string | Yes |
metadata |
object | Yes |
metadataVersion |
integer | Yes |
transcriptionEnabled |
boolean | Yes |
GET /api/v1/items/{id}¶
Retrieve items for a item
✅ Live — responds with data
Response keys: attachments, celebrityDetectionEnabled, createUnknownPersons, createdBy, createdOn, customIcons, editProxyFormat, frameCount, generatedContentLocation, hasExternalHighres, hasProxy, id, ingestDestinationPath, ingestSkipProcessing, ingestSourceFullPath, ingestSourceKey, ingestSourceS3Bucket, ingestSourceStorageId, isExternalUpload, itemState, itemType, labelDetectionEnabled, languageCode, mediaCreatedOn, mediaSize, mediaType, metadata, metadataVersion, modifiedOn, originalFileName, personDetectionEnabled, progressInfo, proxySize, sourceFileLocation, technicalMetadata, textDetectionEnabled, thumbnailInfo, title, transcodingBy, transcodingService, transcodingState, transcriptLastUpdated, transcriptOffsetMs, transcriptionBy, transcriptionChannels, transcriptionEnabled, transcriptionProgress, transcriptionService, transcriptionState, translationBy, translationEnabled, translationLanguage, uploadLockOwnerInstanceId, uploadProgressInfo, uploadRequestedAt, webProxyLocation, folderParents, hasRelations, hasArchiveRelation, thumbnailStrip, vttUrl, srtUrl, translationVttUrl, translationSrtUrl, timedTranscriptUrl, timedTranslatedTranscriptUrl, detectedPersons, proxy, thumbnail, geoLocation, proxyAudioTrackUrls, highRes, ancestryLink
Note
mimir-client.ts — item metadata
GET /api/v1/items/{id}/ancestry¶
Retrieve ancestry for a item
✅ Live — responds with data
Sample Response:
[
[
{
"id": "e7a19a71-34fe-462f-a1c2-eaf632a11d3f",
"name": "Folders"
},
{
"id": "b69fecc2-3f1e-47f5-bd18-b44a066f4b28",
"name": "SERVICES"
},
{
"id": "219808b2-4d0f-49ee-9dbc-2f84863d0ed7",
"name": "INGEST SERVICES"
},
{
"id": "3fc2a88e-cec3-4ce1-a1f7-c7cf4d1cc5ec",
"name": "INCOMING MEDIA"
},
{
"id": "36b0b51d-e82a-4a3f-bd39-4e4b80d13682",
"name": "NEWS"
},
{
"id": "a46665ba-ecc4-4b12-84e4-db6af77faed7",
"name": "AP NEWS"
}
]
]
GET /api/v1/items/{id}/attachments¶
Retrieve attachments for a item
✅ Live — responds with data
Sample Response:
[
{
"fileName": "poster-frame.png",
"description": "",
"downloadUrl": "https://mb10-mimir-prod-vir-generated-media.s3.us-east-1.amazonaws.com/c1487bc0-aba4-4b9c-a93f-b3d77ce42074/attachments/poster/poster-frame.png?X-Amz-Algorithm=AWS4-HMAC-SHA256&X-Amz-Content-Sha256=UNSIGNED-PAYLOAD&X-Amz-Credential=ASIAT3YH4PFDPRNJFXB4%2F20260407%2Fus-east-1%2Fs3%2Faws4_request&X-Amz-Date=20260407T000000Z&X-Amz-Expires=432000&X-Amz-Security-Token=IQoJb3JpZ2luX2VjEBIaCXVzLWVhc3QtMSJHMEUCIG89bwlC09A137TGTNsXGJoNHOH4IQo%2BCfi5Lcss9yRZAiEA128IO9d2UC5cMUB%2Fqtc%2FCl1wBW%2Bkxs4GH1%2B%2BWjkZauoqnwQI2%2F%2F%2F%2F%2F%2F%2F%2F%2F%2F%2FARADGgwyNjU3Njc2NDc1NTgiDGehRzpcvjnY2SV%2FDirzAwxur3j2%2Bgb3S84SK07TmuCTMeIboNcdyt6VF1PUjawVHlIiFS8mxVsaTnOX98xccSjaYg6AVeTCZTG7GxnvDmtZGTxe5GKg7I4XW7pkUwufcdDIbHh3KBr6T56wD1VBYNor3azk9YPfqEaaaZ24NFp0ZXkfsCOBP5QHb9MhKj0gboYXBZEks3%2BvJ6ocFVajGHkL7KArSPekbxJvL3FtV6QPC4tY4IatRv5oS1b%2FjDV4lUZifoY%2BeSYIDmTgS1np7rgu6xh0PR1ZgY6SShbLmwRa36FeOWoR35qwm3OkA6pmEZgjm%2BVEZ7z%2FAZYuGkgIdxgY8Esz%2Fp1KgYseHEQ8YJPFI6lRIp7yyZ3kJtwbtMrhyCEtF6ANrNF43D1jR%2BT5O13hKX%2FZbzFvaU4CCvb5JJYh8lqGEQ6%2BIGoMZpTTjvOsOrvNZRQNNo%2BWGkgM0iXXbLJgTUqDJkAOrurPI4mLbQhD0eK9EWbZw3hsUL4fEG0j00OlhGFuVNwfCNwU%2BnGewLFsXXXf4Vo0PYbY2BmVD33Vg2kGHExZHT%2BKRYYzldk8FgRdqUTJLi4Naovc0JK4ti%2B2LUveAzDD3f3iAA%2BoSXUbRk252nTsxu0peGQenR6i446fdTlPHN49MKK%2F3a7ycOpztIGGlvdz%2BrTpETRuhZw1MSswp8PRzgY6ogE3pBc6yN4D29YjjRq7XhtykjU%2BS%2B3AhYxaNfedZqaWqcvUC%2FwZrYOeBa0Zy0yo25mNLe36q29zUGpbJ0bFBTFavjOZfRZqWPdr2eGIbV3QfUV%2BXeUlr87AH5CdMJH%2FkbmqfydXMRYrpt0oatyOImADoL8qtYAx4CVkvXlArqg1KMnofMkPKSjIyK85nOhAyHUV2%2FT7mL%2Bv80U4kyLgyMdNK04%3D&X-Amz-Signature=1db6f03137754abc8e284abe149c05e7c5e9a8ed7491028d21c571f97287cb01&X-Amz-SignedHeaders=host&response-content-disposition=attachment%3Bfilename%3Dposter-frame.png&response-content-type=image%2Fpng&x-id=GetObject",
"type": "poster",
"role": "thumbnail"
}
]
GET /api/v1/items/{id}/comments¶
Retrieve comments for a item
✅ Live — responds with data
Sample Response:
Response Schema:
| Field | Type | Required |
|---|---|---|
comments |
array | Yes |
mScrollId |
null | No |
GET /api/v1/items/{id}/customIcons¶
Retrieve customIcons for a item
✅ Live — responds with data
Sample Response:
{
"customIcons": {
"pos8": null,
"pos4": null,
"pos5": null,
"pos6": null,
"pos7": null,
"pos1": null,
"pos2": null,
"pos3": null
}
}
Response Schema:
| Field | Type | Required |
|---|---|---|
customIcons |
object | Yes |
GET /api/v1/items/{id}/relations¶
Retrieve relations for a item
✅ Live — responds with data
GET /api/v1/items/{id}/timedMetadata¶
Retrieve timedMetadata for a item
✅ Live — responds with data
Sample Response:
Response Schema:
| Field | Type | Required |
|---|---|---|
items |
array | Yes |
DELETE /api/v1/items/{itemId}¶
Delete an Item entry
✅ Live — responds with data
Note
Error: {'statusCode': 404, 'message': 'The server can not find requested resource.'}
GET /api/v1/items/{itemId}¶
Retrieve an Item entry
✅ Live — responds with data
Sample Response:
{
"createdOn": "2026-04-06T15:16:07.929Z",
"originalFileName": "1a719f83-9c47-4515-a5f8-6fc7d30e2a81.mov",
"transcodingState": "complete"
}
Response Schema:
| Field | Type | Required |
|---|---|---|
createdOn |
string | Yes |
originalFileName |
string | Yes |
transcodingState |
string | Yes |
GET /api/v1/items/{itemId}/ancestry¶
Get the ancestries of the item
✅ Live — responds with data
Sample Response:
[
[
{
"id": "e7a19a71-34fe-462f-a1c2-eaf632a11d3f",
"name": "Folders"
},
{
"id": "b69fecc2-3f1e-47f5-bd18-b44a066f4b28",
"name": "SERVICES"
},
{
"id": "219808b2-4d0f-49ee-9dbc-2f84863d0ed7",
"name": "INGEST SERVICES"
},
{
"id": "3fc2a88e-cec3-4ce1-a1f7-c7cf4d1cc5ec",
"name": "INCOMING MEDIA"
},
{
"id": "36b0b51d-e82a-4a3f-bd39-4e4b80d13682",
"name": "NEWS"
},
{
"id": "a46665ba-ecc4-4b12-84e4-db6af77faed7",
"name": "AP NEWS"
}
]
]
Response Schema:
| Field | Type | Required |
|---|---|---|
ancestry |
array | No |
PUT /api/v1/items/{itemId}/archive¶
Archives/Unarchives an item
✅ Live — responds with data
Sample Response:
{
"type": "archive",
"payload": {
"folderId": "bc2ed31e-6a34-4d88-b8ee-fabbcd3fa99d",
"folderName": "2020"
}
}
Response Schema:
| Field | Type | Required |
|---|---|---|
payload |
object | Yes |
type |
string | Yes |
GET /api/v1/items/{itemId}/attachments¶
Get list of attachments or specific one
✅ Live — responds with data
Sample Response:
[
{
"fileName": "poster-frame.png",
"description": "",
"downloadUrl": "https://mb10-mimir-prod-vir-generated-media.s3.us-east-1.amazonaws.com/c1487bc0-aba4-4b9c-a93f-b3d77ce42074/attachments/poster/poster-frame.png?X-Amz-Algorithm=AWS4-HMAC-SHA256&X-Amz-Content-Sha256=UNSIGNED-PAYLOAD&X-Amz-Credential=ASIAT3YH4PFDI7R2MOXV%2F20260407%2Fus-east-1%2Fs3%2Faws4_request&X-Amz-Date=20260407T000000Z&X-Amz-Expires=432000&X-Amz-Security-Token=IQoJb3JpZ2luX2VjEBIaCXVzLWVhc3QtMSJIMEYCIQDHiKFuSwqFgCyHuEBYz3caNPvfEbNgQp3nJ4t3zvgESQIhAJfYKoDjzyHWR%2Bj3iIbB%2Fb%2B3x6l9N7BK4LBQLa00L%2F4JKp8ECNr%2F%2F%2F%2F%2F%2F%2F%2F%2F%2FwEQAxoMMjY1NzY3NjQ3NTU4Igxt7MveWmhhRzb4KZ4q8wPJzEYrT0Vl3jBZFfAz5sxCohGbfId8sBwhHGHXZpK6Bh27mU31rH6jJF0SexC8F3upptGqihqEtRzkxKtgBe6bp7tOQIWf0HQ5lWk5dfixP2klK9wDs%2FI6SnTC%2FdPjlxVgokUJFAbfgQBxtqPu0%2FoeEWwEpilogYIAKciZ4BWq7BEiqXTLa8lQ4wA%2Bwxf6zTzDBBWopPAqxSMY4SxhGtIduAJG9iiWA9%2BHn1hanJeDmpqbLSAaNACDqBiIZ1LB0EwqLPvVX2U7mi4Fx%2FUmSbZ12vxvKNfoPifwR3nkVPBNUBmukd%2FPTk9n%2FtYY1Whi0qVCmAIUoI4oDKNxgsb%2BY7WXlW3DoQQdVSS9tG3r3mkaRTeeGhicHqa0eCNwx9wdRFzxtio1QojObuNcv8QPnxU8PmsFNHsJTo1hcRTAiGljVHDxD7mTtfmR03%2F9hik3VlbKW32esYK2eAJFeaH5RgEA5%2FoTPm9IPCpdP8%2B5%2Bb0CAjU%2FyBkVd1CW6yZKMpDNm23ApvQuAtdfwIKTllzBvMRCi6u4Ibfu%2FPYWD3d2K4EhJoieuKmLnG%2BMkzc3yiotWH%2Bu%2FsTYEl2REkV9QeK2wzkEwdf3ooxAGrsGdIN9ET8H3jZ8HhT2nTgDDweqDf5Eb1mPcCnz05Bdq6TLLh0iuxEHZQhGMKa30c4GOqEBZnjsbXrldRk516bd9Et%2BciQT%2FUqWlCELxUB6wIVeQvxH2fTtifc4ViYHIkXlJIkHH1F7hq6X2Osir0JpLE3%2B16tyVgESU8mlKn7t3tb2i%2BwK23tv0WHfBqIyCUSfWGsYZQnmRC68VWloGxTVzP5k6voiY0%2Bq1833Dc%2FvzNX1iChZNCqZoCodcqYt%2FF7huYG63ehz%2BnUNfaMUSP5kAf0jl%2BU%3D&X-Amz-Signature=7ed3864c543d50813542fc34cfd42a194aaea8fa7c4ba5d9ba16d52bef006eec&X-Amz-SignedHeaders=host&response-content-disposition=attachment%3Bfilename%3Dposter-frame.png&response-content-type=image%2Fpng&x-id=GetObject",
"type": "poster",
"role": "thumbnail"
}
]
POST /api/v1/items/{itemId}/attachments¶
Create an attachment to a specific item
✅ Live — responds with data
Sample Response:
"https://mb10-mimir-prod-vir-generated-media.s3.us-east-1.amazonaws.com/c1487bc0-aba4-4b9c-a93f-b3d77ce42074/attachments/poster/item-attachment.txt?X-Amz-Algorithm=AWS4-HMAC-SHA256&X-Amz-Content-Sha256=UNSIGNED-PAYLOAD&X-Amz-Credential=ASIAT3YH4PFDHTY345DQ%2F20260407%2Fus-east-1%2Fs3%2Faws4_request&X-Amz-Date=20260407T000000Z&X-Amz-Expires=432000&X-Amz-Security-Token=IQoJb3JpZ2luX2VjEBIaCXVzLWVhc3QtMSJHMEUCID6iHERgO9tGVAV%2FkJD95F8CL1VNu%2FMdr4W8iwdxIkL6AiEAwGK2DUosCLK0l7hOoGFTgv6c28eyPOQSSLjzYClMJa8qnwQI2%2F%2F%2F%2F%2F%2F%2F%2F%2F%2F%2FARADGgwyNjU3Njc2NDc1NTgiDF5ulpG1m%2BX7OOMckirzA2sLSKnonZSw%2B%2FIXJZ3Ns3T1hlff7PbJCOumTixGtW6FRUeNcGJEru8asT2ME708SeAu3VTMTZV1nkLTYBv%2FoT3x9L5lIEltpj6ECYO71g91AesyMBRMxZUKIm7oTKE4VyHUvbk%2F3mHy4nfvJPPI9ViVALC6%2FoXeCBVa%2BxrlEiEdmjqkS33IcX5b%2ByQDbPJDAxj6KXBs4ERekjTUY1aGSIDueF%2BuC%2F1LeZNmMM9JvAy595XlkP8586mML1qxitsU2KuD94npe5bKE6KPh1WKhJeCyGQxV8ZRRbGNR2yXZ4Z828MgivSbCngvoSzdvloh13Pq2w93Z2kCQ14eXPsHtg7dddjthOJFpjHnkM0F1sYWCiKirRyku%2FKJwV4O4YHTIeJHJt%2Fw%2FEPk51AYFe%2FSk5dnsb62DqtbkwpskwKts%2Be0zyxWsXAQONzL9GYkftQE5qHqtJuHGxGR32b5MHT6smgo6bPArzkJDHQRO4Fm2jFZ8bq7gw4lOP71bJW%2FptOtR8nIvlLRLUoM1G02VSpPzmSH1qLv6Yps4%2B2cThLF51qYCBZNLR4G6X4g622YS7O4WyGiKO4US0q%2Fn8OpKjAxK0wvmW2uFzAUdx7d2u1uGbcJg3wHwMBoxTdYcixgs%2BcrsC6a8lH3CAnxnpyu5BGNQz2POaUwpsLRzgY6ogHii8Co4z0FlFIYO43Vd46PZ9zVH9amTrKR5dQvf4HZybd4gS8yN48d07wk6xzP4V5hOXTS34hzl2eH7ANm7BifXNXm5j9PIlKfTqx3n59Fr2FG8UtAwFhSUqu03gUMW%2FGMJg0I5sStFOw1buCimNNlMnjaLrHaWH0B1AFtqdFWKh0S%2F5hsdhiZQ2howqO9WO5nRDXMlRDqeyvyj6FCUUyCnVk%3D&X-Amz-Signature=7c6bcedaea2817751b5bc633466982f838396fcc9ae3e79ef4def917d9cd0c80&X-Amz-SignedHeaders=host&x-id=PutObject"
Note
Error: {'statusCode': 404, 'message': 'Could not find given item in database'}
PUT /api/v1/items/{itemId}/attachments¶
Update an existing item attachment
✅ Live — responds with data
Sample Response:
{
"fileName": "item-attachment.txt",
"type": "poster",
"role": "thumbnail",
"language": "English",
"description": "New attachment",
"userId": "0101e008-d785-4c6c-b549-a1c9bcefa282",
"modifiedOn": "2026-04-07T01:59:33.394Z"
}
Response Schema:
| Field | Type | Required |
|---|---|---|
description |
string | Yes |
fileName |
string | Yes |
language |
string | Yes |
modifiedOn |
string | Yes |
role |
string | Yes |
type |
string | Yes |
userId |
string | Yes |
Note
Error: {'statusCode': 404, 'message': 'Could not find given item in database'}
GET /api/v1/items/{itemId}/comments¶
Get all comments for an item
✅ Live — responds with data
Sample Response:
Response Schema:
| Field | Type | Required |
|---|---|---|
comments |
array | Yes |
mScrollId |
null | No |
POST /api/v1/items/{itemId}/comments¶
Create a new comment
✅ Live — responds with data
Sample Response:
{
"id": "b36d1ccf-3149-4ee9-b42f-7469a29ce576",
"type": "top",
"createdOn": "2026-04-07T01:59:34.700Z",
"assignedOn": "2026-04-07T01:59:34.700Z",
"modifiedOn": "2026-04-07T01:59:34.700Z",
"deletedOn": null,
"text": "Processing failed due to HDR10 conversion error",
"textEditedOn": null,
"author": {
"type": "user",
"id": "0101e008-d785-4c6c-b549-a1c9bcefa282"
},
"assignee": {
"type": "user",
"id": "user-123"
},
"context": {
"type": "timeline",
"startSecond": {
"approximate": 123.5
},
"endSecond": {
"approximate": 145.2
}
},
"reactions": [],
"resolved": false
}
Response Schema:
| Field | Type | Required |
|---|---|---|
assignedOn |
string | Yes |
assignee |
object | Yes |
author |
object | Yes |
context |
object | Yes |
createdOn |
string | Yes |
deletedOn |
null | No |
id |
string | Yes |
modifiedOn |
string | Yes |
reactions |
array | Yes |
resolved |
boolean | Yes |
text |
string | Yes |
textEditedOn |
null | No |
type |
string | Yes |
Note
Error: {'statusCode': 404, 'message': 'Item not found', 'developerMessage': 'Item not found', 'payload': {'messages': ['Item not found'], 'debug': ['NotFoundError'], 'code': 404, 'stack': 'NotFoundError: Ite
GET /api/v1/items/{itemId}/customIcons¶
Get all custom icons for an item
✅ Live — responds with data
Sample Response:
{
"customIcons": {
"pos8": null,
"pos4": null,
"pos5": null,
"pos6": null,
"pos7": null,
"pos1": null,
"pos2": null,
"pos3": null
}
}
Response Schema:
| Field | Type | Required |
|---|---|---|
customIcons |
object | Yes |
PATCH /api/v1/items/{itemId}/customIcons¶
Partially update custom icons for an item
✅ Live — responds with data
Note
Error: {'statusCode': 500, 'message': 'TypeError', 'developerMessage': 'TypeError', 'payload': {'messages': ['TypeError'], 'debug': [], 'stack': 'TypeError\n at parseBody (/var/task/src/api/item/index.js:
PUT /api/v1/items/{itemId}/customIcons¶
Save custom icons for an item
✅ Live — responds with data
Note
Error: {'statusCode': 500, 'message': 'TypeError', 'developerMessage': 'TypeError', 'payload': {'messages': ['TypeError'], 'debug': [], 'stack': 'TypeError\n at parseBody (/var/task/src/api/item/index.js:
POST /api/v1/items/{itemId}/mediaUsage¶
Update the media usage of an item
✅ Live — responds with data
Sample Response:
{
"itemId": "c1487bc0-aba4-4b9c-a93f-b3d77ce42074",
"mediaUsage": {
"lastUsedOn": "2026-04-07T01:59:39.050Z",
"lastUsedWorkflow": "import"
}
}
Response Schema:
| Field | Type | Required |
|---|---|---|
itemId |
string | Yes |
mediaUsage |
object | Yes |
POST /api/v1/items/{itemId}/migrateMediaLocation¶
Migrate media location for an item
✅ Live — responds with data
Sample Response:
Response Schema:
| Field | Type | Required |
|---|---|---|
message |
string | Yes |
statusCode |
integer | Yes |
GET /api/v1/items/{itemId}/relations¶
Retrieve all relation of the item
✅ Live — responds with data
PUT /api/v1/items/{itemId}/relations/{relationType}¶
Update relation entries of a single relation type
✅ Live — responds with data
DELETE /api/v1/items/{itemId}/relations/{relationType}/{relatedItemId}¶
Delete a relation entry between two items
✅ Live — responds with data
Sample Response:
{
"error": {
"statusCode": 400,
"message": "The server could not understand the request due to invalid syntax."
}
}
Response Schema:
| Field | Type | Required |
|---|---|---|
error |
object | Yes |
GET /api/v1/items/{itemId}/thumbnail/{position}¶
Get thumbnail URL at time position
✅ Live — responds with data
GET /api/v1/items/{itemId}/thumbnails/urls¶
Get bulk thumbnail URLs
✅ Live — responds with data
Response keys: thumbnails, nextIndex
GET /api/v1/items/{itemId}/timedMetadata¶
Get the timed metadata of an item
✅ Live — responds with data
Sample Response:
Response Schema:
| Field | Type | Required |
|---|---|---|
items |
array | Yes |
PUT /api/v1/items/{itemId}/timedMetadata¶
Update timed metadata of an item
✅ Live — responds with data
Note
Error: {'statusCode': 404, 'message': 'The server can not find requested resource.'}
POST /api/v1/items/{itemId}/undelete¶
Undelete an Item entry if not permanently deleted
✅ Live — responds with data
Note
Error: {'statusCode': 404, 'message': 'The server can not find requested resource.'}
DELETE /api/v1/items/{itemId}/upload¶
Deletes the upload lock on an item
✅ Live — responds with data
Note
Error: {'statusCode': 404, 'message': 'The server can not find requested resource.'}
GET /api/v1/items/{itemId}/upload¶
Get upload lock information for an item
✅ Live — responds with data
Sample Response:
Response Schema:
| Field | Type | Required |
|---|---|---|
isUploadLocked |
boolean | Yes |
GET /api/v1/items/{itemId}/version¶
Retrieve an Item's latest version
✅ Live — responds with data
Sample Response:
Response Schema:
| Field | Type | Required |
|---|---|---|
id |
string | Yes |
GET /api/v1/items/{itemId}/versionsHistory¶
Retrieve the version history of an item
✅ Live — responds with data
Sample Response:
{
"versions": [
{
"id": "c1487bc0-aba4-4b9c-a93f-b3d77ce42074",
"versionCreatedOn": "2026-04-06T15:16:07.929Z",
"versionState": "EXISTS"
}
]
}
Response Schema:
| Field | Type | Required |
|---|---|---|
versions |
array | Yes |
PUT /api/v1/items/{itemId}/versionsHistory¶
Update version name
✅ Live — responds with data
GET /api/v1/itemsByExternalId¶
Get item ids from external ids
✅ Live — responds with data
Sample Response:
{
"items": [
{
"status": "success",
"itemId": null,
"externalId": "7c964cb5-0b9f-9e48"
},
{
"status": "success",
"itemId": null,
"externalId": "1669-0af85a036487"
}
]
}
Response Schema:
| Field | Type | Required |
|---|---|---|
items |
array | Yes |
GET /auxiliary/api/v1/itemAnalyticsSearch¶
Search in item analytics
✅ Live — responds with data
Sample Response:
{
"total": 10000,
"hits": [
{
"id": "706d7049-41fb-4c42-a7ad-a3dd8de6369e",
"itemId": "c1487bc0-aba4-4b9c-a93f-b3d77ce42074",
"tenantId": "versantstaging",
"actionType": "undelete",
"executedBy": "0101e008-d785-4c6c-b549-a1c9bcefa282",
"executedOn": "2026-04-07T01:59:44.649Z",
"email": "charles.travis@versantmedia.com",
"itemTitle": "1a719f83-9c47-4515-a5f8-6fc7d30e2a81.mov"
},
{
"id": "4ef82308-2637-49f2-afb6-5b52972be9cc",
"itemId": "c1487bc0-aba4-4b9c-a93f-b3d77ce42074",
"tenantId": "versantstaging",
"actionType": "archiveInitiated",
"executedBy": "0101e008-d785-4c6c-b549-a1c9bcefa282",
"executedOn": "2026-04-07T01:59:32.416Z",
"email": "charles.travis@versantmedia.com",
"itemTitle": "1a719f83-9c47-4515-a5f8-6fc7d30e2a81.mov"
},
{
"id": "1c47dbb9-33e1-4432-8b6d-0e0e3e0d6da5",
"itemId": "c1487bc0-aba4-4b9c-a93f-b3d77ce42074",
"tenantId": "versantstaging",
"actionType": "delete",
"executedBy": "0101e008-d785-4c6c-b549-a1c9bcefa282",
"executedOn": "2026-04-07T01:59:30.152Z",
"email": "charles.travis@versantmedia.com",
"itemTitle": "1a719f83-9c47-4515-a5f8-6fc7d30e2a81.mov"
},
{
"id": "3ea1e617-b3cb-4466-b31e-42dec4eb866e",
"itemId": "94120de9-8444-49d0-8dc4-aa23b5cc981a",
"tenantId": "versantstaging",
"actionType": "create",
"executedBy": "0101e008-d785-4c6c-b549-a1c9bcefa282",
"executedOn": "2026-04-07T01:59:28.750Z",
"mdfDiff": {
"newMdfId": "default",
"metadataFields": [
{
"newValue": "News clip",
"fieldId": "default_title"
},
{
"newValue": "2026-04-07T01:59:28.563Z",
"fieldId": "default_createdOn"
},
{
"newValue": false,
"fieldId": "9e7110dd-0555-402e-a74e-9fb3a2070dd6"
},
{
"newValue": false,
"fieldId": "ecf7ae87-b2d7-4026-95a4-3cee88e8051f"
}
]
},
"email": "charles.travis@versantmedia.com",
"itemTitle": "News clip"
},
{
"id": "880efbbe-f4ba-4ac1-b8e8-dabf7baf0f5d",
"itemId": "26e7649b-898b-4217-a712-be972da1e2e6",
"tenantId": "versantstaging",
"actionType": "delete",
"executedBy": "4d98020d-1adf-49c9-bde7-4cdafbc2289e",
"executedOn": "2026-04-06T19:53:15.501Z",
"email": "jack.skinner@versantmedia.com",
"itemTitle": "BB040_31_Chillwave Campy.mp3"
},
{
"id": "5ae4d1d7-cef7-4a4b-92c1-e8cf8395894a",
"itemId": "0e3da7ad-c98a-4859-846b-f2f9b765b72d",
"tenantId": "versantstaging",
"actionType": "delete",
"executedBy": "4d98020d-1adf-49c9-bde7-4cdafbc2289e",
"executedOn": "2026-04-06T19:53:15.225Z",
"email": "jack.skinner@versantmedia.com",
"itemTitle": "BIB027_23_Catch The Cook.mp3"
},
{
"id": "a
Response Schema:
| Field | Type | Required |
|---|---|---|
hits |
array | Yes |
total |
integer | Yes |
GET /auxiliary/api/v1/systemActivity/item/{itemId}¶
Retrieve system activity for a specific item
✅ Live — responds with data
Sample Response:
{
"events": [
{
"type": "item_activity",
"id": "706d7049-41fb-4c42-a7ad-a3dd8de6369e",
"itemId": "c1487bc0-aba4-4b9c-a93f-b3d77ce42074",
"actionType": "undelete",
"executedBy": "0101e008-d785-4c6c-b549-a1c9bcefa282",
"executedOn": "2026-04-07T01:59:44.649Z",
"email": "charles.travis@versantmedia.com",
"itemTitle": "1a719f83-9c47-4515-a5f8-6fc7d30e2a81.mov"
},
{
"type": "item_activity",
"id": "4ef82308-2637-49f2-afb6-5b52972be9cc",
"itemId": "c1487bc0-aba4-4b9c-a93f-b3d77ce42074",
"actionType": "archiveInitiated",
"executedBy": "0101e008-d785-4c6c-b549-a1c9bcefa282",
"executedOn": "2026-04-07T01:59:32.416Z",
"email": "charles.travis@versantmedia.com",
"itemTitle": "1a719f83-9c47-4515-a5f8-6fc7d30e2a81.mov"
},
{
"type": "item_activity",
"id": "1c47dbb9-33e1-4432-8b6d-0e0e3e0d6da5",
"itemId": "c1487bc0-aba4-4b9c-a93f-b3d77ce42074",
"actionType": "delete",
"executedBy": "0101e008-d785-4c6c-b549-a1c9bcefa282",
"executedOn": "2026-04-07T01:59:30.152Z",
"email": "charles.travis@versantmedia.com",
"itemTitle": "1a719f83-9c47-4515-a5f8-6fc7d30e2a81.mov"
},
{
"type": "item_activity",
"id": "0955d334-6ac7-41df-9f16-7130214140b6",
"itemId": "c1487bc0-aba4-4b9c-a93f-b3d77ce42074",
"actionType": "translation",
"executedBy": "4d98020d-1adf-49c9-bde7-4cdafbc2289e",
"executedOn": "2026-04-06T15:30:58.286Z",
"provider": "Google",
"email": "jack.skinner@versantmedia.com",
"itemTitle": "1a719f83-9c47-4515-a5f8-6fc7d30e2a81.mov"
},
{
"type": "item_activity",
"id": "a7497cd2-3307-467c-afb5-b1d4ae813ab0",
"itemId": "c1487bc0-aba4-4b9c-a93f-b3d77ce42074",
"actionType": "transcription",
"executedBy": "4d98020d-1adf-49c9-bde7-4cdafbc2289e",
"executedOn": "2026-04-06T15:30:58.275Z",
"relatedParameters": {
"shouldTranslate": true
},
"email": "jack.skinner@versantmedia.com",
"itemTitle": "1a719f83-9c47-4515-a5f8-6fc7d30e2a81.mov"
},
{
"type": "item_activity",
"id": "8361669e-b3ad-4e76-a721-cc2b8ec9d281",
"itemId": "c1487bc0-aba4-4b9c-a93f-b3d77ce42074",
"actionType": "webProxyCreated",
"executedBy": "versantstaging",
"executedOn": "2026-04-06T15:30:13.056Z",
"itemTitle": "1a719f83-9c47-4515-a5f8-6fc7d30e2a81.mov"
},
{
"type": "item_activity",
"id": "54b0ddcf-e468-43ea-b521-7cb6ccb10399",
"itemId": "c1487bc0-aba4-4b9c-a93f-b3d77ce42074",
"actionType": "transcoding",
"executedBy": "versantstaging",
"executedOn": "2026-04-06T15:18:50.092Z",
"provider": "Mxcoder",
"itemTitle": "1a719f83-9c47-4515-a5f8-6fc7d30e2a81.mov"
},
{
"type": "item_activity",
"id": "ec76e69f-1722-4c57-9d3b-be4644408ce3",
"itemId": "c1487bc0-aba4-4b9c-a93f-b3d77ce42074",
"a
Response Schema:
| Field | Type | Required |
|---|---|---|
events |
array | Yes |
GET /prime/api/v1/feed/items/{since}¶
Get Feed Items
✅ Live — responds with data
Sample Response:
{
"tenant": {
"stage": "prod-vir",
"tenantId": "versantstaging"
},
"modifications": [],
"next": "{\"start\":\"2000-01-02T00:00:00.000Z\"}"
}
Response Schema:
| Field | Type | Required |
|---|---|---|
modifications |
array | Yes |
next |
string | Yes |
tenant |
object | Yes |
GET /prime/api/v1/playableItem/{itemId}¶
Get playable item information for media playback
✅ Live — responds with data
Response keys: id, itemType, media, hasUploadProgress, liveRecordingInfo, itemState, proxyAudioTrackUrls, thumbnailUrl, webProxyAudioDownMixInfo, languageCode, virtualClipInfo, frameDuration, playableArtifact, availableArtifacts, durationFromTechnicalMetadata, peaksDelta, truncatedPeaksDeltas, peaksUrls, nPeaksPerSecondPerChannel, playableDuration
Response Schema:
| Field | Type | Required |
|---|---|---|
durationFromTechnicalMetadata |
number | Yes |
frameDuration |
object | Yes |
hasUploadProgress |
boolean | Yes |
id |
string | Yes |
itemState |
string | Yes |
itemType |
string | Yes |
languageCode |
string | Yes |
liveRecordingInfo |
unknown | Yes |
media |
unknown | Yes |
nPeaksPerSecondPerChannel |
integer | Yes |
peaksDelta |
array | Yes |
peaksUrls |
array | Yes |
playableArtifact |
unknown | Yes |
playableDuration |
unknown | No |
proxyAudioTrackUrls |
array | Yes |
thumbnailUrl |
string | Yes |
virtualClipInfo |
object | Yes |
webProxyAudioDownMixInfo |
object | Yes |
Note
Error: {'statusCode': 500, 'message': 'Must have options in query parameters!', 'developerMessage': 'Must have options in query parameters!', 'payload': {'messages': ['Must have options in query parameters!'
Endpoints Requiring Valid Input¶
These endpoints are confirmed live but need proper request bodies.
DELETE /api/v1/batchItems¶
Delete items in batches
⚠️ Live — requires valid request body
Response Schema:
| Field | Type | Required |
|---|---|---|
deletes |
array | No |
GET /api/v1/batchItems¶
Retrieve batchItems
📝 Live — use a different HTTP method
PATCH /api/v1/batchItems¶
Update items in batches
⚠️ Live — requires valid request body
Response Schema:
| Field | Type | Required |
|---|---|---|
updates |
array | No |
POST /api/v1/batchItems¶
Create items in batches
⚠️ Live — requires valid request body
Response Schema:
| Field | Type | Required |
|---|---|---|
items |
array | No |
GET /api/v1/clipLists/{itemId}¶
Get clip entries of a sequence
⚠️ Live — requires valid request body
Sample Response:
{
"error": {
"statusCode": 400,
"message": "Not a clip list",
"developerMessage": "Not a clip list",
"payload": {
"messages": [
"Not a clip list"
],
"debug": [
"BadRequestError"
],
"code": 400,
"stack": "BadRequestError: Not a clip list\n at getClipList (/var/task/src/api/item/clipList/clipListHandler.js:35614:43)\n at process.processTicksAndRejections (node:internal/process/task_queues:103:5)\n at async clipListHandler (/var/task/src/api/item/clipList/clipListHandler.js:37211:12)\n at async runRequest (/var/task/src/api/item/clipList/clipListHandler.js:31557:26)\n at async BufferedInvokeProcessor.processInvoke (file:///var/runtime/index.mjs:1092:22)\n at async _Runtime.processSingleConcurrent (file:///var/runtime/index.mjs:1178:7)\n at async _Runtime.start (file:///var/runtime/index.mjs:1165:7)\n at async ignition (file:///var/runtime/index.mjs:1634:5)",
"requestID": "7bb652e9-133b-47b9-96f9-fc15207cdc59"
}
}
}
Response Schema:
| Field | Type | Required |
|---|---|---|
error |
object | Yes |
Note
[400] {'statusCode': 400, 'message': 'Not a clip list', 'developerMessage': 'Not a clip list', 'payload': {'messages': ['Not a clip list'], 'debug': ['BadRequestError'], 'code': 400, 'stack': 'BadRequestErr
PUT /api/v1/clipLists/{itemId}¶
Update clip list of a sequence
⚠️ Live — requires valid request body
Sample Response:
{
"error": {
"statusCode": 400,
"message": "Invalid payload: One of the array entries is not of type ClipListEntryDto: \"in\" is not of type FuzzyValue: Missing \"approximate\" property",
"developerMessage": "Invalid payload: One of the array entries is not of type ClipListEntryDto: \"in\" is not of type FuzzyValue: Missing \"approximate\" property",
"payload": {
"messages": [
"Invalid payload: One of the array entries is not of type ClipListEntryDto: \"in\" is not of type FuzzyValue: Missing \"approximate\" property"
],
"debug": [
"BadRequestError"
],
"code": 400,
"stack": "BadRequestError: Invalid payload: One of the array entries is not of type ClipListEntryDto: \"in\" is not of type FuzzyValue: Missing \"approximate\" property\n at updateClipList (/var/task/src/api/item/clipList/clipListHandler.js:35718:43)\n at clipListHandler (/var/task/src/api/item/clipList/clipListHandler.js:37214:18)\n at runRequest (/var/task/src/api/item/clipList/clipListHandler.js:31535:9)\n at async BufferedInvokeProcessor.processInvoke (file:///var/runtime/index.mjs:1092:22)\n at async _Runtime.processSingleConcurrent (file:///var/runtime/index.mjs:1178:7)\n at async _Runtime.start (file:///var/runtime/index.mjs:1165:7)\n at async ignition (file:///var/runtime/index.mjs:1634:5)",
"requestID": "4bfb4e40-3edb-42c1-ac17-8520ffb6a3b1"
}
}
}
Response Schema:
| Field | Type | Required |
|---|---|---|
error |
object | Yes |
Note
[400] {'statusCode': 400, 'message': 'Invalid payload: One of the array entries is not of type ClipListEntryDto: "in" is not of type FuzzyValue: Missing "approximate" property', 'developerMessage': 'Invalid
PATCH /api/v1/itemMetadata/{itemId}¶
Update item metadata
⚠️ Live — requires valid request body
Response Schema:
| Field | Type | Required |
|---|---|---|
metadata |
unknown | No |
metadataVersion |
number | No |
GET /api/v1/items/{id}/transcript¶
Retrieve transcript for a item
📝 Live — use a different HTTP method
POST /api/v1/items/{itemId}¶
Update an Item entry
⚠️ Live — requires valid request body
Sample Response:
{
"error": {
"statusCode": 400,
"message": "The server could not understand the request due to invalid syntax."
}
}
Response Schema:
| Field | Type | Required |
|---|---|---|
error |
object | Yes |
POST /api/v1/items/{itemId}/aaf¶
AAF subclip generation
Live — status 500
Sample Response:
{
"error": {
"statusCode": 400,
"message": "The server could not understand the request due to invalid syntax."
}
}
Response Schema:
| Field | Type | Required |
|---|---|---|
error |
object | Yes |
Note
[500] {'statusCode': 500, 'message': 'Could not read c1487bc0-aba4-4b9c-a93f-b3d77ce42074/c1487bc0-aba4-4b9c-a93f-b3d77ce42074.aaf', 'developerMessage': 'Could not read c1487bc0-aba4-4b9c-a93f-b3d77ce42074/
DELETE /api/v1/items/{itemId}/attachments¶
Delete an attachment from a specific item
⚠️ Live — requires valid request body
Sample Response:
Response Schema:
| Field | Type | Required |
|---|---|---|
error |
object | Yes |
Note
[400] {'statusCode': 400, 'message': 'Invalid payload'}
DELETE /api/v1/items/{itemId}/deleteHighres¶
Cancel highres deletion of an item
⚠️ Live — requires valid request body
Sample Response:
Response Schema:
| Field | Type | Required |
|---|---|---|
error |
object | Yes |
Note
[400] {'statusCode': 400, 'message': 'Item is not marked for highres deletion'}
POST /api/v1/items/{itemId}/deleteHighres¶
Delete item's highres media
⚠️ Live — requires valid request body
Sample Response:
{
"error": {
"statusCode": 400,
"message": "The server could not understand the request due to invalid syntax."
}
}
Response Schema:
| Field | Type | Required |
|---|---|---|
error |
object | Yes |
Note
[400] {'statusCode': 400, 'message': 'The server could not understand the request due to invalid syntax.'}
POST /api/v1/items/{itemId}/itemUploadPartsSignUrls¶
Create signed urls for multipart upload for an item
⚠️ Live — requires valid request body
Sample Response:
Response Schema:
| Field | Type | Required |
|---|---|---|
error |
object | Yes |
Note
[400] {'statusCode': 400, 'message': 'Missing partCount for multipart upload'}
DELETE /api/v1/items/{itemId}/labels¶
Delete label(s) from the Item
⚠️ Live — requires valid request body
Sample Response:
{
"error": {
"statusCode": 400,
"message": "The server could not understand the request due to invalid syntax."
}
}
Response Schema:
| Field | Type | Required |
|---|---|---|
error |
object | Yes |
Note
[400] {'statusCode': 400, 'message': 'The server could not understand the request due to invalid syntax.'}
GET /api/v1/items/{itemId}/mediaSegments/{streamIds}/{signedForMethod}/{firstSegmentIndex}¶
Get media segment URLs for an item
⚠️ Live — requires valid request body
Sample Response:
Response Schema:
| Field | Type | Required |
|---|---|---|
error |
object | Yes |
Note
[400] {'statusCode': 400, 'message': 'bad signedForMethod: GET'}
POST /api/v1/items/{itemId}/multipartUploadComplete¶
Complete multipart upload for an item
Live — status 500
Note
[500] {'statusCode': 500, 'message': 'Failed to reserve upload'}
POST /api/v1/items/{itemId}/thumbnails/upload-urls¶
Generate thumbnail upload URLs
⚠️ Live — requires valid request body
Sample Response:
{
"error": {
"statusCode": 400,
"message": "When using the Mimir managed storage, pathPrefix must start with one of: c1487bc0-aba4-4b9c-a93f-b3d77ce42074/, versantstaging/c1487bc0-aba4-4b9c-a93f-b3d77ce42074/"
}
}
Response Schema:
| Field | Type | Required |
|---|---|---|
error |
object | Yes |
Note
[400] {'statusCode': 400, 'message': 'When using the Mimir managed storage, pathPrefix must start with one of: c1487bc0-aba4-4b9c-a93f-b3d77ce42074/, versantstaging/c1487bc0-aba4-4b9c-a93f-b3d77ce42074/'}
PUT /api/v1/items/{itemId}/transcript¶
Update transcript of the Item
⚠️ Live — requires valid request body
Sample Response:
Response Schema:
| Field | Type | Required |
|---|---|---|
error |
object | Yes |
Note
[400] {'statusCode': 400, 'message': 'Invalid payload'}
PUT /api/v1/items/{itemId}/upload¶
Create upload lock for an item
⚠️ Live — requires valid request body
Sample Response:
{
"error": {
"statusCode": 400,
"message": "Upload to item with existing media is not allowed",
"developerMessage": "Upload to item with existing media is not allowed",
"payload": {
"messages": [
"Upload to item with existing media is not allowed"
],
"debug": [
"BadRequestError"
],
"code": 400,
"stack": "BadRequestError: Upload to item with existing media is not allowed\n at setItemUploadLock (/var/task/src/api/item/index.js:318177:46)\n at createItemUploadLock (/var/task/src/api/item/index.js:318153:9)\n at createItemUploadLockHandler (/var/task/src/api/item/index.js:318144:36)\n at process.processTicksAndRejections (node:internal/process/task_queues:103:5)\n at async runRequest (/var/task/src/api/item/index.js:292963:26)\n at async BufferedInvokeProcessor.processInvoke (file:///var/runtime/index.mjs:1092:22)\n at async _Runtime.processSingleConcurrent (file:///var/runtime/index.mjs:1178:7)\n at async _Runtime.start (file:///var/runtime/index.mjs:1165:7)\n at async ignition (file:///var/runtime/index.mjs:1634:5)",
"requestID": "cea47cbe-a255-4151-b634-e7e40bfe6998"
}
}
}
Response Schema:
| Field | Type | Required |
|---|---|---|
error |
object | Yes |
Note
[400] {'statusCode': 400, 'message': 'Upload to item with existing media is not allowed', 'developerMessage': 'Upload to item with existing media is not allowed', 'payload': {'messages': ['Upload to item wi
POST /api/v1/items/{itemId}/version¶
Create a new version of item
Live — status 500
Sample Response:
{
"error": {
"statusCode": 400,
"message": "The server could not understand the request due to invalid syntax."
}
}
Response Schema:
| Field | Type | Required |
|---|---|---|
error |
object | Yes |
Note
[500] {'statusCode': 500, 'message': 'Cannot convert undefined or null to object', 'developerMessage': 'Cannot convert undefined or null to object', 'payload': {'messages': ['Cannot convert undefined or nul
POST /api/v1/items/{itemId}/versionsHistory¶
Promote an item to latest version
Live — status 409
Sample Response:
Response Schema:
| Field | Type | Required |
|---|---|---|
error |
object | Yes |
Note
[409] {'statusCode': 409, 'message': 'Item is already the latest version'}
POST /auxiliary/api/v1/items/{itemId}/restoreMedia¶
Create a restore request in Glacier for a media
⚠️ Live — requires valid request body
Sample Response:
Response Schema:
| Field | Type | Required |
|---|---|---|
error |
object | Yes |
Note
[400] {'statusCode': 400, 'message': 'Invalid payload'}
POST /prime/api/v1/cropImage¶
Crop an image
⚠️ Live — requires valid request body
Response Schema:
| Field | Type | Required |
|---|---|---|
createdItem |
unknown | Yes |
cropResult |
unknown | Yes |
POST /prime/api/v1/items/{itemId}/bundle¶
Get Item Bundle
⚠️ Live — requires valid request body
Sample Response:
{
"error": {
"statusCode": 400,
"message": "Replica parameter must be a valid replica request object",
"developerMessage": "Replica parameter must be a valid replica request object",
"payload": {
"messages": [
"Replica parameter must be a valid replica request object"
],
"debug": [
"BadRequestError"
],
"code": 400,
"stack": "BadRequestError: Replica parameter must be a valid replica request object\n at getItemBundleHandler (/var/task/src/main.js:464166:44)\n at handlerFunc (/var/task/src/main.js:471119:14)\n at runRequest (/var/task/src/main.js:401790:9)\n at async BufferedInvokeProcessor.processInvoke (file:///var/runtime/index.mjs:1092:22)\n at async _Runtime.processSingleConcurrent (file:///var/runtime/index.mjs:1178:7)\n at async _Runtime.start (file:///var/runtime/index.mjs:1165:7)\n at async ignition (file:///var/runtime/index.mjs:1634:5)",
"requestID": "0d129080-6e97-401b-84ec-020c04db4e86"
}
}
}
Response Schema:
| Field | Type | Required |
|---|---|---|
error |
object | Yes |
Note
[400] {'statusCode': 400, 'message': 'Replica parameter must be a valid replica request object', 'developerMessage': 'Replica parameter must be a valid replica request object', 'payload': {'messages': ['Rep
POST /prime/api/v1/live/series/{id}/items¶
Create an Item for an upcoming series recording
⚠️ Live — requires valid request body
Response Schema:
| Field | Type | Required |
|---|---|---|
durationMs |
string | No |
id |
string | No |
ingestFrom |
object | No |
liveRecording |
object | No |
seriesId |
string | No |
startTimeMs |
string | No |
title |
object | No |
Not Found¶
| Method | Path | Code |
|---|---|---|
POST |
/api/v1/items/merge |
404 |
GET |
/api/v1/items/{id}/activity |
404 |
GET |
/api/v1/items/{id}/annotations |
404 |
GET |
/api/v1/items/{id}/audit |
404 |
GET |
/api/v1/items/{id}/bundle |
404 |
GET |
/api/v1/items/{id}/clipList |
404 |
GET |
/api/v1/items/{id}/download |
404 |
GET |
/api/v1/items/{id}/externalIds |
404 |
GET |
/api/v1/items/{id}/lock |
404 |
GET |
/api/v1/items/{id}/mediaSegments |
404 |
GET |
/api/v1/items/{id}/mediaUsage |
404 |
GET |
/api/v1/items/{id}/metadata |
404 |
GET |
/api/v1/items/{id}/playable |
404 |
GET |
/api/v1/items/{id}/proxy |
404 |
GET |
/api/v1/items/{id}/security |
404 |
GET |
/api/v1/items/{id}/share |
404 |
GET |
/api/v1/items/{id}/thumbnail |
404 |
GET |
/api/v1/items/{id}/transcripts |
404 |
GET |
/api/v1/items/{id}/versions |
404 |
GET |
/api/v1/items/{id}/virtualClips |
404 |
POST |
/api/v1/items/{itemId}/cancelTask |
404 |
DELETE |
/api/v1/items/{itemId}/comments/{commentId} |
404 |
GET |
/api/v1/items/{itemId}/comments/{commentId} |
404 |
PUT |
/api/v1/items/{itemId}/comments/{commentId}/edit |
404 |
POST |
/api/v1/items/{itemId}/comments/{commentId}/reactions |
404 |
PUT |
/api/v1/items/{itemId}/comments/{commentId}/status |
404 |
POST |
/api/v1/items/{itemId}/relations/{relationType} |
404 |
POST |
/api/v1/items/{itemId}/uploadSign |
404 |
GET |
/api/v1/pollItems |
404 |
GET |
/auxiliary/api/v1/storages/{bucketName}/items/{objectKey} |
404 |
DELETE |
/ingest/api/v1/ingestStorageConfigs/{itemId} |
404 |
GET |
/ingest/api/v1/ingestStorageConfigs/{itemId} |
404 |
PUT |
/ingest/api/v1/ingestStorageConfigs/{itemId} |
404 |